跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Get all push mirrors of the repository

GET
/repos/{owner}/{repo}/push_mirrors
curl --request GET \
--url https://gitea.example.com/api/v1/repos/example/example/push_mirrors \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

page
integer

Page number of results to return (1-based)

limit
integer

Page size of results

PushMirrorList

Media typeapplication/json
Array<object>

PushMirror represents information of a push mirror

object
config

PushMirrorConfig represents the optional settings of a push mirror

object
branch_filters

Only push the branches matching these names or glob patterns, empty means all branches

Array<string>
keep_remote_branches

Do not delete remote branches which do not exist in the local repository

boolean
keep_remote_tags

Do not delete remote tags which do not exist in the local repository

boolean
no_push_tags

Do not push or delete remote tags

boolean
created
string format: date-time
interval

The sync interval for automatic updates

string
last_error

The last error message encountered during sync

string
last_update
string format: date-time
remote_address

The remote repository URL being mirrored to

string
remote_name

The name of the remote in the git configuration

string
repo_name

The name of the source repository

string
sync_on_commit

Whether to sync on every commit

boolean
Examplegenerated
[
{
"config": {
"branch_filters": [
"example"
],
"keep_remote_branches": true,
"keep_remote_tags": true,
"no_push_tags": true
},
"created": "2026-04-15T12:00:00Z",
"interval": "example",
"last_error": "example",
"last_update": "2026-04-15T12:00:00Z",
"remote_address": "example",
"remote_name": "example",
"repo_name": "example",
"sync_on_commit": true
}
]

APIError is error format response

message
string
url
string

APIForbiddenError is a forbidden error response

message
string
url
string

APINotFound is a not found empty response